add integrate_test.sh

This commit is contained in:
Songmu 2019-12-30 16:04:10 +09:00
parent 48b328d2c3
commit 81b82d7687

28
misc/author/integrate_test.sh Executable file
View file

@ -0,0 +1,28 @@
#!/bin/sh
cleanup() {
code=$?
rm -rf $tmpdir
exit $code
}
trap cleanup EXIT
tmpdir=$(mktemp -d)
set -ex
export GHQ_ROOT=$tmpdir
ghq get motemen/ghq
ghq get www.mercurial-scm.org/repo/hello
ghq get https://launchpad.net/terminator
ghq get --vcs fossil https://www.sqlite.org/src
ghq get --shallow --vcs=git-svn https://svn.apache.org/repos/asf/httpd/httpd
ghq get https://svn.apache.org/repos/asf/subversion
test -d $tmpdir/github.com/motemen/ghq/.git
test -d $tmpdir/www.mercurial-scm.org/repo/hello/.hg
test -d $tmpdir/launchpad.net/terminator/.bzr
test -f $tmpdir/www.sqlite.org/src/.fslckout
test -d $tmpdir/svn.apache.org/repos/asf/httpd/httpd/.git/svn
test -d $tmpdir/svn.apache.org/repos/asf/subversion/.svn